Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8227808

GTK3 libraries should be required for building on Linux

    Details

    • Type: Bug
    • Status: Open
    • Priority: P3
    • Resolution: Unresolved
    • Affects Version/s: openjfx13
    • Fix Version/s: openjfx14
    • Component/s: javafx
    • Labels:
    • Environment:

      Linux

    • Subcomponent:
    • CPU:
      generic
    • OS:
      linux

      Description

      Currently GTK3 is the default on Linux. However, there is build logic that will skip building glassgtk3 if the gtk3 development libraries are not installed. This creates a situation where the build will succeed, but the resulting JavaFX library will fail to run unless you explicitly force GTK2 with "-Djdk.gtk.version=2".

      Having GTK3 be optional at build time made sense when GTK2 was the default, but now that GTK3 is the default, this logic does more harm than good. The build should fail if the GTK3 libraries are not available, as is done for other required libraries (e.g., OpenGL).

        Attachments

          Activity

            People

            • Assignee:
              arapte Ambarish Rapte
              Reporter:
              kcr Kevin Rushforth
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated: